var system = require("../../../system")
const CtlBase = require("../../ctl.base");


//商户信息
class MerchantTransferCtl extends CtlBase {
    constructor() {
        super("all", CtlBase.getServiceName(MerchantTransferCtl));
    }

    //商户列表
    async transferList(qobj) {
        var params = qobj || {};
        this.doTimeCondition(params, ["signBegin", "signEnd"]);
        try {
            var page = await this.service.transferList(params);
            return system.getResult2(page);
        } catch (e) {
            console.log(e);
            return system.getErrResult2("您的网络不稳, 请稍后重试");
        }
    }

    async test(){
        var page = await this.service.test();
        return system.getResult2(page);
    }


}


module.exports = MerchantTransferCtl;